org.springframework.batch.core.resource

## Class ListPreparedStatementSetter

- java.lang.Object
- - org.springframework.batch.core.resource.ListPreparedStatementSetter

- All Implemented Interfaces:
    org.springframework.beans.factory.InitializingBean, org.springframework.jdbc.core.PreparedStatementSetter

      public class ListPreparedStatementSetter
      extends java.lang.Object
      implements org.springframework.jdbc.core.PreparedStatementSetter, org.springframework.beans.factory.InitializingBean

  Implementation of the `PreparedStatementSetter` interface that accepts a list of values to be set on a PreparedStatement. This is usually used in conjunction with the `JdbcCursorItemReader` to allow for the replacement of bind variables when generating the cursor. The order of the list will be used to determine the ordering of setting variables. For example, the first item in the list will be the first bind variable set. (i.e. it will correspond to the first '?' in the SQL statement)
  Author:
    Lucas Ward

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListPreparedStatementSetter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPropertiesSet()`
    `void` | `setParameters(java.util.List<?> parameters)` The parameter values that will be set on the PreparedStatement.
    `void` | `setValues(java.sql.PreparedStatement ps)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListPreparedStatementSetter

          public ListPreparedStatementSetter()

  - ### Method Detail

    - #### setValues

          public void setValues(java.sql.PreparedStatement ps)
                         throws java.sql.SQLException

      Specified by:
        `setValues` in interface `org.springframework.jdbc.core.PreparedStatementSetter`
      Throws:
        `java.sql.SQLException`

    - #### setParameters

          public void setParameters(java.util.List<?> parameters)

      The parameter values that will be set on the PreparedStatement. It is assumed that their order in the List is the order of the parameters in the PreparedStatement.

    - #### afterPropertiesSet

          public void afterPropertiesSet()
                                  throws java.lang.Exception

      Specified by:
        `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
      Throws:
        `java.lang.Exception`